Bug 91296 - FILEOPEN: UI: GUI does not reflect original Header And Footer Settings
Summary: FILEOPEN: UI: GUI does not reflect original Header And Footer Settings
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-15 03:30 UTC by Luke
Modified: 2019-08-19 06:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple DOCX test case, Left-Right and Same should be unchecked (14.43 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-05-15 03:30 UTC, Luke
Details
Saved as DOC, Left-Right and Same First are unchecked (26.50 KB, application/msword)
2015-05-15 03:31 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2015-05-15 03:30:56 UTC
Created attachment 115611 [details]
Simple DOCX test case, Left-Right and Same should be unchecked

When you import a Word .docx with both "Same Content on Left/Right" and "Same Content on First Page" unchecked and import them Writer these settings are ignored and incorrect. The same file saved as .doc works as expected.

Steps to Reproduce:
1. In Word create a blank doc
2. In the header Check "Different First Page"
3. In the header Check "Different Odd & Even Pages"
4. Save as DOCX
5. Save as DOC
6. Open the files in Writer
7. Compare Settings in Header->Format Header
8. Compare results of toggling settings

The .doc file correctly sets "Same Content on Left/Right" and "Same Content on First Page". The .doc file also behaves correctly when you toggle these settings. For example, check "Same Content on First Page" and the text "Different" becomes "Odd1". All of this is broken in the .docx file.


The Footer also seems to suffer from the issue.
Comment 1 Luke 2015-05-15 03:31:59 UTC
Created attachment 115612 [details]
Saved as DOC, Left-Right and Same First are unchecked
Comment 2 Buovjaga 2015-05-18 18:05:04 UTC
Confirmed with example files.

Ubuntu 15.04 64-bit 
Version: 5.0.0.0.alpha1+
Build ID: 51d16cc69d8ad9065f61d108ea25d6a025a2e228
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-05-17_03:58:58
Locale: en-US (en_US.UTF-8)

Version: 4.2.8.2
Build ID: 48d50dbfc06349262c9d50868e5c1f630a573ebd
Comment 3 Cor Nouws 2016-05-09 08:31:44 UTC
seeing the same in 4.0.0 beta1
interestingly: the docx and doc are displayed in the same way (daily from last week)
Comment 4 QA Administrators 2018-03-03 03:48:05 UTC Comment hidden (obsolete)
Comment 5 Luke 2018-03-03 16:14:09 UTC
The GUI is still showing the wrong values in Version: 6.1.0.0.alpha0+
Build ID: ee69f5e0758a2a1842362bf403dc62746437f358
Comment 6 Timur 2018-08-07 15:48:06 UTC
Clarification:
- .DOC is open all pages with "Default Style" and unchecks Same Content "on Left/Right" and "on First Page"
- .DOCX is open first page with "First Page" and:
--  on 1st page checks Same Content "on Left/Right" and "on First Page" 
--  on other pages unchecks Same Content "on Left/Right" and checks "on First Page" 

I wouldn't agree with bug title "LO GUI does not reflect actual Header And Footer Settings (for DOCX)". 
For the approaches they have, both GUIs are correct. 
Saving .DOC with different Same Content checks, opening in MSO is OK. 
Saving .DOCX with different Same Content checks, some opening OK in MSO, except when changing First Page header.

Issue may be why they both don't behave similarly. 
Literally, .DOC can seem to behave more closely to MSO's no-page-style and question is why .DOCX is different. And which approach is better. 

Or, going maybe further, why neither opens document with Same Content checked but also: 
--  open first page with "First Page" style
--  open odd pages with Right Page style and even with "Left Page"
That could make sense because Word reads "First page header", "Even page header", "Odd page header". If it has some purpose. 

I'd like to see this issue explained somewhere in documentation, usage of styles vs. checks with regards to ODT, DOC and DOCX.
Comment 7 Justin L 2018-08-16 15:30:24 UTC
I agree with Timur - this is trying to emulate stuff with Word where we don't have feature parity, so I wouldn't worry about differences from the original document. Having a different approach from DOC can be nice in these cases - if one format doesn't look right, try the other format.
Comment 8 Timur 2018-08-17 09:10:34 UTC
We have 2 options here: 
1. to try to define some action as "Expected result", having in mind both DOC and DOCX
2. to accept current differences which still result with correct fileopen and turn this bug to Documentation bug to have behavior explained.
Comment 9 QA Administrators 2019-08-19 06:56:29 UTC
Dear Luke,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug